LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 07-16-2006, 01:04 PM   #1
salah-ad-din
Member
 
Registered: Mar 2006
Posts: 37

Rep: Reputation: 15
Where to find libraries for vlc media player on Suse10.1?


I have not had this much trouble getting VLC up and running on any other distro, some it is even pre-installed. I don't know where to start there was such a long list of failed dependencies. Is there a certain website where I can get all of these or do I have to find each individual one?:

liba52.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libavcodec.so.51 is needed by vlc-0.8.5-2.pm.5.i586
libavformat.so.50 is needed by vlc-0.8.5-2.pm.5.i586
libavutil.so.49 is needed by vlc-0.8.5-2.pm.5.i586
libdvbpsi.so.4 is needed by vlc-0.8.5-2.pm.5.i586
libebml.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libfaac.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libfaad.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libmad.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libmatroska.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libmp3lame.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libmp4v2.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libmpcdec.so.3 is needed by vlc-0.8.5-2.pm.5.i586
libmpeg2.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libpostproc.so.51 is needed by vlc-0.8.5-2.pm.5.i586
libwx_baseu-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_baseu_net-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_baseu_xml-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_gtk2u_adv-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_gtk2u_core-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_gtk2u_html-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_gtk2u_qa-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libwx_gtk2u_xrc-2.6.so.0 is needed by vlc-0.8.5-2.pm.5.i586
libx264.so.47 is needed by vlc-0.8.5-2.pm.5.i586
libxosd.so.2 is needed by vlc-0.8.5-2.pm.5.i586
libxvidcore.so.4 is needed by vlc-0.8.5-2.pm.5.i586
 
Old 07-16-2006, 01:24 PM   #2
Micro420
Senior Member
 
Registered: Aug 2003
Location: Berkeley, CA
Distribution: Mac OS X Leopard 10.6.2, Windows 2003 Server/Vista/7/XP/2000/NT/98, Ubuntux64, CentOS4.8/5.4
Posts: 2,986

Rep: Reputation: 45
I heard that SuSE can use the apt-get command from Debian. If this is true, you can just apt-get vlc, correct?

Are you building from source? You might check out that Pakman respositories and add it to your SuSE update. Then, you can search for VLC and install it from there.

Your installation woes are exactly why I left SuSE and switched to Ubuntu. Good luck!
 
Old 07-16-2006, 01:54 PM   #3
salah-ad-din
Member
 
Registered: Mar 2006
Posts: 37

Original Poster
Rep: Reputation: 15
I tried the apt-get command last night and no dice, how do I enable this? And know I'm not building from source, not that knowledgeable yet. I have figured out alot in linux in a short period of time though and I'v never encountered this extensive of a list of libraries which must be included separately. So I'v been to this pac-man site you speak of already, I just go and paste the URL into repository locations right? Then will it automatically find these libraries because I didn't see them? Are these libraries having something to do with xine?
 
Old 07-16-2006, 02:07 PM   #4
rshaw
Senior Member
 
Registered: Apr 2001
Location: Perry, Iowa
Distribution: Mepis , Debian
Posts: 2,694

Rep: Reputation: 45
you may want to install the smart package manager. much easier to pull all the dependancies together.

you'll need smart,smart gui and smart addons from:
http://linux01.gwdg.de/~pbleser/rpm-...=System/smart/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to install VLC Media player on FC3 vikram_cvk Linux - Software 11 12-01-2007 12:43 AM
Unable to install VLC media player hokckey Linux - Software 2 05-09-2006 11:10 AM
VLC Media Player carlosinfl Linux - Software 2 05-04-2006 03:24 PM
cant install vlc media player liljhand Mandriva 5 02-13-2005 04:44 AM
VLC media player problems unclejessie77 Linux - Software 0 10-26-2003 02:19 PM


All times are GMT -5. The time now is 12:08 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration